package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussDeviceGoods implements Serializable {
    private Integer id;

    private String code;

    private String name;

    private String devicelogo;

    private String introdesc;

    private Integer sort;

    private Integer status;

    private Integer tagid;

    private String depositflag;

    private Date createtime;

    private Date updatetime;

    private String detail;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getIntrodesc() {
        return introdesc;
    }

    public void setIntrodesc(String introdesc) {
        this.introdesc = introdesc == null ? null : introdesc.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getTagid() {
        return tagid;
    }

    public void setTagid(Integer tagid) {
        this.tagid = tagid;
    }

    public String getDepositflag() {
        return depositflag;
    }

    public void setDepositflag(String depositflag) {
        this.depositflag = depositflag == null ? null : depositflag.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail == null ? null : detail.trim();
    }
}